import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import '../channel/flutter_vosk_wakeword_method_channel.dart';

abstract class FlutterVoskWakewordPlatform extends PlatformInterface {
  /// Constructs a FlutterVoskWakewordPlatform.
  FlutterVoskWakewordPlatform() : super(token: _token);

  static final Object _token = Object();

  static FlutterVoskWakewordPlatform _instance = MethodChannelFlutterVoskWakeword();

  /// The default instance of [FlutterVoskWakewordPlatform] to use.
  ///
  /// Defaults to [MethodChannelFlutterVoskWakeword].
  static FlutterVoskWakewordPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [FlutterVoskWakewordPlatform] when
  /// they register themselves.
  static set instance(FlutterVoskWakewordPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }

  

}
